RM_SERVICES(8)

NAME
rm_services - remove server capability for specified architecture

SYNOPSIS
rm_services [ -Sy ] [ -a arch ] [ -e exec-path ] [ -h home-path ] [ -k kvm ] [ -m mail ] [ -p proto ] [ -q share-path ] [ -s swap-path ] [ -x export ]

DESCRIPTION

rm_services deletes directories and changes files appropriate to removing server capabilities for the specified architecture. rm_services deletes exec/arch and kvm/arch directories and unexports the them. It also removes the architecture-specific files in /tftpboot. If the server will no longer serving any architecture, it removes the proto root and /tftpboot directories. If they are empty, rm_services also removes the root, swap, exec, kvm, share, export, home/server, and home directories, and then unexports the home, mail, and share directories.

rm_services is used by suninstall(8), and can only be invoked by the super-user.

OPTIONS

-S  Silent.

-y  Supply ``yes'' answers to all confirmation questions.

-a arch
    Specify the architecture to be removed (for instance, sun4, sun3...). The default is the architecture of the server.

-e exec-path
    Use exec-path as the parent pathname of the directory in which the executables (for the architecture specified by -a) reside. The default is /export/exec.

-h home-path
    Use home-path as the parent pathname for home directories. The default is /home.

-k kvm
    Use kvm as the parent pathname of the directory in which the kvm executables reside, for the architecture specified by -a . The default is /export/exec/kvm.

-m mail
    Use mail as the mail directory. The default is /var/spool/mail.

-p proto
    Use proto as the directory for the proto root file system. The default is /export/root/proto.

-q share-path
    Use share-path as the pathname for the share directory. The default is /export/share.

-s swap-path
    Use swap-path as the parent pathname of the directory in which the swap files reside. The default is /export/swap.

-x export
    x Use export as the starting path for the exec, root, kvm, swap, and share directories. The default is /export.

EXAMPLE
This example shows how to delete server capability for Sun-4 system clients:

    example# rm_services sun4

FILES
/etc/exports
    database of exported file systems
/tftpboot

SEE ALSO
add_client(8), add_services(8), exportfs(8), rm_client(8)